package cn.ysk.cashier.service.shop;

import cn.ysk.cashier.pojo.shop.TbShopPurveyorTransact;
import cn.ysk.cashier.dto.shop.TbShopPurveyorTransactDto;
import cn.ysk.cashier.dto.shop.TbShopPurveyorTransactQueryCriteria;
import cn.ysk.cashier.vo.PurveyorTransactVO;
import org.springframework.data.domain.Page;
import java.util.Map;
import java.util.List;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;

/**
* @website https://eladmin.vip
* @description 服务接口
* @author lyf
* @date 2024-01-23
**/
public interface TbShopPurveyorTransactService {

    /**
    * 查询数据分页
    * @param criteria 条件
    * @return Map<String,Object>
    */
    Map<String,Object> queryPurveyorTransact(TbShopPurveyorTransactQueryCriteria criteria);
    Page<PurveyorTransactVO> queryTransactDate(TbShopPurveyorTransactQueryCriteria criteria);

    Map<String, Object> queryTransactSum(TbShopPurveyorTransactQueryCriteria criteria);

    /**
    * 查询所有数据不分页
    * @param criteria 条件参数
    * @return List<TbShopPurveyorTransactDto>
    */
    List<TbShopPurveyorTransactDto> queryAll(TbShopPurveyorTransactQueryCriteria criteria);

    /**
     * 根据ID查询
     * @param id ID
     * @return TbShopPurveyorTransactDto
     */
    TbShopPurveyorTransactDto findById(Integer id);

    /**
    * 创建
    * @param resources /
    * @return TbShopPurveyorTransactDto
    */
    TbShopPurveyorTransactDto create(TbShopPurveyorTransact resources);

    /**
    * 编辑
    * @param resources /
    */
    void update(TbShopPurveyorTransact resources);

    void payTransact(TbShopPurveyorTransact resources);

    /**
    * 多选删除
    * @param ids /
    */
    void deleteAll(Integer[] ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    void download(List<TbShopPurveyorTransactDto> all, HttpServletResponse response) throws IOException;
}